Package org.eclipse.rdf4j.sail.shacl.ast.planNodes

## Class ValidationTuple

- java.lang.Object
- - org.eclipse.rdf4j.sail.shacl.ast.planNodes.ValidationTuple

-     public class ValidationTuple
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ValidationTuple​(List<Value> chain, ConstraintComponent.Scope scope, boolean hasValue)` |
    `ValidationTuple​(Value[] chain, ConstraintComponent.Scope scope, boolean hasValue)` |
    `ValidationTuple​(Value a, Value c, ConstraintComponent.Scope scope, boolean hasValue)` |
    `ValidationTuple​(Value subject, ConstraintComponent.Scope scope, boolean hasValue)` |
    `ValidationTuple​(BindingSet bindingSet, String[] variables, ConstraintComponent.Scope scope, boolean hasValue)` |
    `ValidationTuple​(BindingSet bindingSet, List<String> variables, ConstraintComponent.Scope scope, boolean hasValue)` |
    `ValidationTuple​(ValidationTuple temp, Set<ValidationTuple> compressedTuples)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ValidationTuple` | `addValidationResult​(Function<ValidationTuple,​ValidationResult> validationResult)` |
    `int` | `compareActiveTarget​(ValidationTuple other)` |
    `int` | `compareFullTarget​(ValidationTuple other)` |
    `int` | `compareValue​(ValidationTuple other)` |
    `boolean` | `equals​(Object o)` |
    `Value` | `getActiveTarget()` |
    `Set<ValidationTuple>` | `getCompressedTuples()` |
    `int` | `getFullChainSize​(boolean includePropertyShapeValue)` |
    `ConstraintComponent.Scope` | `getScope()` |
    `List<Value>` | `getTargetChain​(boolean includePropertyShapeValues)` | This is only the target part.
    `List<ValidationResult>` | `getValidationResult()` |
    `Value` | `getValue()` |
    `int` | `hashCode()` |
    `boolean` | `hasValue()` |
    `ValidationTuple` | `join​(ValidationTuple right)` |
    `List<ValidationTuple>` | `pop()` |
    `boolean` | `sameTargetAs​(ValidationTuple other)` |
    `ValidationTuple` | `setValue​(Value value)` |
    `List<ValidationTuple>` | `shiftToNodeShape()` |
    `List<ValidationTuple>` | `shiftToPropertyShapeScope()` |
    `String` | `toString()` |
    `ValidationTuple` | `trimToTarget()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidationTuple

          public ValidationTuple​(BindingSet bindingSet,
                                 String[] variables,
                                 ConstraintComponent.Scope scope,
                                 boolean hasValue)

    - #### ValidationTuple

          public ValidationTuple​(BindingSet bindingSet,
                                 List<String> variables,
                                 ConstraintComponent.Scope scope,
                                 boolean hasValue)

    - #### ValidationTuple

          public ValidationTuple​(List<Value> chain,
                                 ConstraintComponent.Scope scope,
                                 boolean hasValue)

    - #### ValidationTuple

          public ValidationTuple​(Value[] chain,
                                 ConstraintComponent.Scope scope,
                                 boolean hasValue)

    - #### ValidationTuple

          public ValidationTuple​(Value a,
                                 Value c,
                                 ConstraintComponent.Scope scope,
                                 boolean hasValue)

    - #### ValidationTuple

          public ValidationTuple​(Value subject,
                                 ConstraintComponent.Scope scope,
                                 boolean hasValue)

    - #### ValidationTuple

          public ValidationTuple​(ValidationTuple temp,
                                 Set<ValidationTuple> compressedTuples)

  - ### Method Detail

    - #### sameTargetAs

          public boolean sameTargetAs​(ValidationTuple other)

    - #### hasValue

          public boolean hasValue()

    - #### getValue

          public Value getValue()

    - #### getScope

          public ConstraintComponent.Scope getScope()

    - #### compareActiveTarget

          public int compareActiveTarget​(ValidationTuple other)

    - #### compareFullTarget

          public int compareFullTarget​(ValidationTuple other)

    - #### getValidationResult

          public List<ValidationResult> getValidationResult()

    - #### addValidationResult

          public ValidationTuple addValidationResult​(Function<ValidationTuple,​ValidationResult> validationResult)

    - #### getActiveTarget

          public Value getActiveTarget()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### shiftToNodeShape

          public List<ValidationTuple> shiftToNodeShape()

    - #### shiftToPropertyShapeScope

          public List<ValidationTuple> shiftToPropertyShapeScope()

    - #### getFullChainSize

          public int getFullChainSize​(boolean includePropertyShapeValue)

    - #### getTargetChain

          public List<Value> getTargetChain​(boolean includePropertyShapeValues)

      This is only the target part. For property shape scope it will not include the value.
      Parameters:
        `includePropertyShapeValues` -

    - #### setValue

          public ValidationTuple setValue​(Value value)

    - #### compareValue

          public int compareValue​(ValidationTuple other)

    - #### trimToTarget

          public ValidationTuple trimToTarget()

    - #### pop

          public List<ValidationTuple> pop()

    - #### getCompressedTuples

          public Set<ValidationTuple> getCompressedTuples()

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### join

          public ValidationTuple join​(ValidationTuple right)